> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Credit Note Line Item Group

> Update a Credit Note Line Item Group



## OpenAPI

````yaml invoices.2024-07-30.product.live PUT /credit-notes/{creditnote}/line-item-groups/{id}
openapi: 3.0.0
info:
  title: Invoices
  description: Create and issue invoices
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /credit-notes/{creditnote}/line-item-groups/{id}:
    servers: []
    parameters: []
    put:
      tags:
        - Credit Note Line Items
      summary: Update a Credit Note Line Item Group
      description: Update a Credit Note Line Item Group
      operationId: putCreditNotesByCreditnoteLineItemGroupsById
      parameters:
        - name: creditnote
          in: path
          description: The CreditNote ID
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: Credit Note Line Item Group ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/UpdateCreditNoteLineItemGroupEndpointUpdateCreditNoteLineItemGroupRequestModel
              example:
                title: Users
                description: Credit note for users
            examples:
              UpdateCreditNoteLineItemGroupEndpointUpdateCreditNoteLineItemGroupRequestModel:
                summary: ''
                value:
                  title: Users
                  description: Credit note for users
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateCreditNoteLineItemGroupEndpointProductUpdateCreditNoteLineItemGroupResponseModel
                example:
                  id: e5bc0f12-4bc1-f821-bc2d-04639a16f9ec
                  creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
                  lineItemGroupId: af60cab3-812d-4250-a051-0fb7133a00c7
                  title: Users
                  description: Credit note for users
                  index: 2
                  netTotal: '51.20'
                  totalTax: '2.50'
                  grossTotal: '101.23'
              examples:
                UpdateCreditNoteLineItemGroupEndpointProductUpdateCreditNoteLineItemGroupResponseModel:
                  summary: ''
                  value:
                    id: e5bc0f12-4bc1-f821-bc2d-04639a16f9ec
                    creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
                    lineItemGroupId: af60cab3-812d-4250-a051-0fb7133a00c7
                    title: Users
                    description: Credit note for users
                    index: 2
                    netTotal: '51.20'
                    totalTax: '2.50'
                    grossTotal: '101.23'
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    UpdateCreditNoteLineItemGroupEndpointUpdateCreditNoteLineItemGroupRequestModel:
      required:
        - title
      type: object
      example:
        title: Users
        description: Credit note for users
      properties:
        title:
          type: string
          description: Credit Note Line Item Group Title
          example: Users
        description:
          type: string
          description: Credit Note Line Item Group Description
          example: Credit note for users
    UpdateCreditNoteLineItemGroupEndpointProductUpdateCreditNoteLineItemGroupResponseModel:
      required:
        - creditNoteId
        - grossTotal
        - id
        - index
        - netTotal
        - title
        - totalTax
      type: object
      example:
        id: e5bc0f12-4bc1-f821-bc2d-04639a16f9ec
        creditNoteId: af60cab3-812d-4250-a051-0fb7133a00c7
        lineItemGroupId: af60cab3-812d-4250-a051-0fb7133a00c7
        title: Users
        description: Credit note for users
        index: 2
        netTotal: '51.20'
        totalTax: '2.50'
        grossTotal: '101.23'
      properties:
        id:
          type: string
          description: Credit Note Line Item Group ID
          example: e5bc0f12-4bc1-f821-bc2d-04639a16f9ec
        creditNoteId:
          type: string
          description: Credit Note ID
          example: af60cab3-812d-4250-a051-0fb7133a00c7
        lineItemGroupId:
          type: string
          description: Line Item Group ID
          example: af60cab3-812d-4250-a051-0fb7133a00c7
        title:
          type: string
          description: Credit Note Line Item Group Title
          example: Users
        description:
          type: string
          description: Credit Note Line Item Group Description
          example: Credit note for users
        index:
          type: integer
          description: Index (for maintaining order)
          example: 2
        netTotal:
          type: string
          description: Net total
          example: '51.20'
        totalTax:
          type: string
          description: Total tax
          example: '2.50'
        grossTotal:
          type: string
          description: Gross total
          example: '101.23'

````